Name: droidcam
Version: 2.1.3
Release: 0%{?dist}
Summary: Use your phone as a webcam

License: GPL-2.0
URL: https://dev47apps.com
Source0: https://github.com/dev47apps/droidcam/archive/v%{version}.tar.gz
Source1: droidcam-16x16.png
Source2: droidcam-24x24.png
Source3: droidcam-32x32.png
Source4: droidcam-48x48.png
Source5: droidcam-128x128.png
# Source6: modprobe-d-98-v4l2loopback-dc.conf
# Source7: modules-load-d-v4l2loopback-dc.conf

ExclusiveArch:  x86_64

Provides: %{name}-kmod-common = %{version}

# Requires: %{name}-kmod >= %{version}
Requires: v4l2loopback
Requires: android-tools
Requires: hicolor-icon-theme
BuildRequires: gcc-c++
BuildRequires: pkgconfig(libswscale)
BuildRequires: turbojpeg-devel
BuildRequires: speex-devel
BuildRequires: libusbmuxd-devel
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: alsa-lib-devel
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(appindicator3-0.1)

%description
Use your phone as a webcam

%prep
%autosetup -n droidcam-linux-client-%{version}
sed -i \
    -e 's/\.a/.so/' \
    -e 's%\(^CFLAGS.*\)%\1 %{optflags}%' \
    -e 's/usbmuxd/usbmuxd-2.0/' \
    Makefile
sed -i \
    -e 's|/opt/droidcam-icon.png|%{_datadir}/icons/hicolor/32x32/apps/droidcam.png|' \
    src/droidcam.c

%build
make JPEG_DIR=/usr

%install
install -p -m0755 -D -t %{buildroot}/%{_bindir} droidcam droidcam-cli
#install -D -m 0644 %{SOURCE6} %{buildroot}%{_modprobedir}/98-v4l2loopback-dc.conf
#install -D -m 0644 %{SOURCE7} %{buildroot}%{_modulesloaddir}/v4l2loopback-dc.conf
mkdir -p %{buildroot}%{_datadir}/applications/
sed -e 's/Icon=.*/Icon=droidcam/' -e 's|Exec=.*|Exec=/usr/bin/droidcam|' droidcam.desktop > %{buildroot}%{_datadir}/applications/droidcam.desktop
install -D -m 0644 %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D -m 0644 %{SOURCE3} %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -m 0644 %{SOURCE4} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m 0644 %{SOURCE5} %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README.md
%license LICENSE
%{_bindir}/droidcam
%{_bindir}/droidcam-cli
#%{_modprobedir}/98-v4l2loopback-dc.conf
#%{_modulesloaddir}/v4l2loopback-dc.conf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Mon Dec 30 2024 Dick Marinus <dick@mrns.nl> - 2.1.3-0
- Version bump

* Tue Apr 18 2023 Dick Marinus <dick@mrns.nl> - 2.0.0-1
- Version bump

* Wed Feb 23 2022 Dick Marinus <dick@mrns.nl> - 1.8.2-1
- Fix desktop file, version bump

* Tue Dec 14 2021 Dick Marinus <dick@mrns.nl> - 1.8.1-1
- Clean up spec file, version bump

* Sat Mar 20 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-7
- Disable v4l2loopback-dc kmod, use v4l2loopback instead

* Tue Mar 16 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-6
- Really fix modprobe config

* Tue Mar 16 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-5
- Fix modprobe config

* Tue Mar 16 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-4
- Set module width/height parameters

* Tue Mar 16 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-3
- Add icons and desktop file

* Tue Mar 16 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-2
- Fix debug package

* Mon Mar 15 2021 Dick Marinus <dick@mrns.nl> - 1.7.2-1
- Initial package
